#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)	
	stdscr.border()
	stdscr.refresh()
	
	win = curses.newwin(9,23,5,5)

	win.border()
	win.hline(4,1,curses.ACS_HLINE,21)
	win.vline(1,11,curses.ACS_VLINE,7)
	win.addch(4,11,curses.ACS_PLUS)
	win.addch(4,0,curses.ACS_LTEE)	
	win.addch(4,22,curses.ACS_RTEE)	
	win.addch(0,11,curses.ACS_TTEE)	
	win.addch(8,11,curses.ACS_BTEE)	

	win.addstr(2,2,"Sector 1")
	win.addstr(2,13,"Sector 2")
	win.addnstr(6,2,"Sector 3 mit viel Text",8)
	win.addnstr(6,13,"Sector 4 mit viel Text",8)

	win.refresh()
	
	stdscr.getch()
	
	return
	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
