#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)
	
	curses.init_pair(1,curses.COLOR_RED,curses.COLOR_BLACK)
	curses.init_pair(2,curses.COLOR_BLUE,curses.COLOR_BLACK)
	curses.init_pair(3,curses.COLOR_GREEN,curses.COLOR_BLACK)
	curses.init_pair(4,curses.COLOR_BLACK,curses.COLOR_RED)
	
	stdscr.attrset(curses.color_pair(1))
	stdscr.addstr(5,5,"Roter Text normal")
	stdscr.refresh(); stdscr.getch()
	
	stdscr.attrset(curses.color_pair(2) | curses.A_BOLD)
	stdscr.addstr(7,5,"Blauer Text Bold")
	stdscr.refresh(); stdscr.getch()

	stdscr.attron(curses.A_REVERSE)
	stdscr.addstr(9,5,"Blauer Text Bold, zusätzlich invers")
	stdscr.refresh(); stdscr.getch()
	
	stdscr.chgat(9,5,5,curses.color_pair(3) | curses.A_UNDERLINE)
	stdscr.addstr(10,5,"(Erste fünf Zeichen geändert)")
	stdscr.refresh(); stdscr.getch()
	
	stdscr.bkgd(curses.color_pair(4))
	stdscr.addstr(12,5,"Schwarz auf rotem Hintergrund")
	stdscr.refresh(); stdscr.getch()
	
	stdscr.bkgd(ord('.'),curses.color_pair(3))
	stdscr.addstr(14,5,"Grün auf schwarzem Hintergrund gepunktet")
	stdscr.refresh(); stdscr.getch()
		
	return
	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
