#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)	
	stdscr.refresh()
	
	win_main = curses.newwin(11,42,5,5)
	win_main.border()
	win_main.addstr(0,3," The Zen of Python: ")

	win_output = win_main.derwin(8,39,2,2)
	win_output.addstr("Beautiful is better than ugly.\n")
	win_output.addstr("Explicit is better than implicit.\n")
	win_output.addstr("Simple is better than complex.\n")
	win_output.addstr("Complex is better than complicated.\n")
	win_output.addstr("Flat is better than nested.\n")
	win_output.addstr("Sparse is better than dense.\n")
	win_output.addstr("Readability counts.\n")
	
	win_main.refresh()
	
	stdscr.getch()

	return
	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
