#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)
	stdscr.addstr(1,5,"Press any key to add another line. ('q' to quit)", curses.A_BOLD)
	stdscr.refresh()

	win = curses.newwin(9,16,5,5)
	win.border()
	win_draw = win.derwin(6,12,2,2)
	win_draw.scrollok(True)
	win.refresh()
	
	counter = 0
	while True:
		c = stdscr.getch()
		if c == ord('q'): break
		counter += 1
		win_draw.addstr("Zeile " + str(counter) + "\n")
		win_draw.refresh()
	
	return
	
if __name__ == "__main__":
	curses.wrapper(main)
	
