---
title: "Verein"
date: 2021-02-04T10:10:48+01:00
draft: false
---
Die LUG Frankfurt hat einen e.V. gegründet.

Primäre Aufgabe ist die Vermittlung von Wissen im Bereich freier und quelloffener Softwware (insbesondere Linux) sowie Unterstützung bei Installation und Betrieb solcher für eine breite Allgemeinheit.

Mehr in der aktuellen [Satzung](/verein/Satzung_V6.pdf) und der [Geschäftsordnung der Mitgliederversammlung](/verein/mvgo_v0-3.pdf) des Vereins.

Der Verein erhebt keine Mitgliedsgebühr; eine Mitgliedschaft für die Teilnahme an den Veranstaltungen des Vereins wie Stammtisch und Vorträge ist nicht erforderlich. Einer der wesentlichen Vorteile einer Mitgliedschaft ist aber die Stimmberechtigung bei Mitgliedervesammlungen, die die Planung und Richtung des Vereins festlegen.

# Mitgliedschaft

Für die Beantragung einer Mitgliedschaft reicht eine formlose Mail an fralug-vorstand AT lugfrankfurt PUNKT de. Diese Mail sollte den vollständigen Namen und Kontaktdaten wie Adresse und Telefonnummer enthalten. Über die Mitgliedschaft entscheidet satzungsgemäß der Vorstand. Eine Mitgliedsgebühr oder ähnlicher Schnickschnack wird nicht erhoben. Ebenfalls bleiben gemäß geltender DSGVO sämtliche Daten der Mitglieder im ausschließlichen Besitz des Vereins bis zum Austritt eines Mitgliedes oder der Löschung des Vereins aus dem Vereinsregister. Danach werden die entsprechenden Datensätze unwiderruflich gelöscht.

*Mit Beantragung einer Mitgliederschaft stimmt der oder die Beantragende der maschinellen Erfassung und der Speicherung dieser Daten zu.*

# Historisches

## 28.01.2014 Einführung einer Ehrenmitgliedschaft

Bei der Mitgliederversammlung am 28.01.2014 wurde die Einführung einer Ehrenmitgliedschaft beschlossen. Hierzu wurde die Satzung entsprechend ergänzt.

Die geänderten Paragraphen sind [hier](/verein/SatzungsänderungEhrenmitgliedschaft.pdf) zu finden.

Die neue Satzung findet sich [hier](/verein/Satzung_V6.pdf).

## 22.03.2011 Erfolgreiche Gründung

Am 22.03.2011 haben wir die Frankfurter Linux User Group gegründet. Der neue Verein ist jetzt noch beim Amtsgericht einzutragen.

Hier ist die [Satzung](/verein/satzung_v0_5.pdf) und die [Geschäftsordnung der Mitgliederversammlung](/verein/mvgo_v0-3.pdf) des neuen Vereins.

Seit dem 13. April 2011 sind wir nun auch offiziell als e.V. beim Amtsgericht Frankfurt eingetragen.

## Einladung zur Gründungsversammlung am 22. März 2011

Wir laden alle Interessierten zur Gründungsversammlung unseres Vereins am 22. März 2011, ab 19.30 Uhr im Vereinsraum 2 des Haus Gallus ein.

Wir schlagen folgende Tagesordnung vor (Änderungsvorschläge hier möglich):

1. Wahl der Sitzungsleitung   
2. Begrüßung   
3. Erstellung einer Anwesenheitsliste (Name, Wohnort)   
4. Wahl eines Präsidiums   
5. Wahl des Schriftführers   
6. Ermittlung der Zahl der anwesenden Mitglieder und der Mehrheitsquote   
7. Wahl einer Zählkommission   
8. Abstimmung über die Tagesordnung   
9. Verabschiedung einer Geschäftsordnung (gültig auch für zukünftige Mitgliederversammlungen)   
   * Aussprache zum GO-Entwurf   
   * Beschluss der GO   
10. Verabschiedung der Satzung   
    * Findung eines Namens für den Verein und Abstimmung über die vorgestellten Entwürfe   
    * Gemeinnützigkeit: ja, nein oder später   
    * Aussprache zum Satzungsentwurf   
    * Beschluss der Satzung   
11. Wahlen   
    * Bestimmung der Sonder-Verantwortlichkeiten der Sprecher (Kasse, Website, ...)   
    * Wahl der drei Sprecher   
    * Wahl der Beisitzer   
    * Wahl der Kassenprüfer   
    * Annahme der Wahl durch die Gewählten   
    * Feststellung von Geburtsdatum und Adresse der Gewählten für das Gründungsprotokoll   
12. Unterschreibung der Satzung durch die anwesenden Mitglieder   
13. Schlusswort    
14. Unterschreibung des Protokolls durch Protokollant und Präsidium   

### Versionsgeschichte

(wäre prima, eine solche zu haben :wink: )
