---
title: "Vortragsvorschläge"
date: 2021-02-04T10:10:31+01:00
draft: false
---
Das aktuelle Vortragsprogramm findet ihr unter [Vorträge](/de/Vortraege).

Vorträge, die gehalten werden können:

**Jens Kühnel**

- Samba

**Steffen Bauer**

- Python
- Deep Learning / Artificial Intelligence

**Laura Liparulo**

- Bash Scripting

**Rolf Schmidt**

- Verschiedene Virtualisierungskonzepte (und warum speziell KVM)

**Workshops**

Umfangreichere Themen können auch im Rahmen eines Workshops behandelt werden. Vorbild ist hier bei unser Programmierworkshop. Vorgehen: Einfach Aufruf auf der [Mailingliste](/de/Mailingliste) posten oder die Sache beim [Stammtisch](/de/Treffen) ansprechen, evtl. einen Admin bitten den Aufruf auch auf der Startseite anzukündigen, Rückmeldungen abwarten, und los geht's...

Interesse besteht für folgende Themen:

**Anfängerthemen (immer wieder gerne)**

- Benutzung der bash-Shell
- Grundlagen der Systemadministration
- Log-Auswertung - was ist wichtig
- NFS-Filesystem, Samba einrichten und absichern
- DynDNS nutzen
- MySQL/MariaDB-Grundlagen
- Editoren: vim und emacs
- ...

**Netzwerk**

- Wie scanne ich ein Netzwerk
- Netzwerktools - welche gibt es und wofür sind die
- Bind im richtigen Einsatz
- Was macht eigentlich meine Firewall?
- Sicherheit & Verschlüsselung
- Alles, was mit Verschlüsselung zu tun hat von GPG bis hin zu WPA
- Wozu eine Mail verschlüsseln/signieren
- Rootkits
- Tripwire

**Virtualisierung**

- Vergleich der verschiedenen Virtualisierungskonzepte und angebotenen Software

**Systemadministration**

- Apache Rechte Verwaltung (warum htaccess schlecht für Performance sein kann)
- Einrichten, Anwenden und (sinnvoller) Einsatz von sudo, sshd, ...
- KDE und GNOME einschränken und zentral administrieren - Stichwort "Kiosk-Modus"
- Gefahren und Fallen bei der Userverwaltung

**Datenbanken**

- Arbeit mit Postgresql oder MySQL/MariaDB

**Multimedia**

- Einbinden eines Scanners in Linux (bringe gerne meinen Scanner mit! :-))

**Bürosoftware**

- Welche Groupware Programme gibt es: OpenGroupware, phpGroupware, EGroupware, ...

**Anwender**

- Benutzung von KDE mit Tastatur

**Was in keine Rubrik passt**

- ...

## Plakatvorschlag für Vorträge

Einen Vorschlag für ein Vortragsplakat findet man hier: [Plakat als odt](/20070207_Vortrag_GPL-Linux.odt)

Schön wäre es, wenn die Grafikbegabten unter uns sich entweder unter Orientierung an der obigen Plakatvorlage oder vielleicht mit neuen Vorschlägen an die Gestaltung eines ansprechenden Posters/Flyers machen, damit wir die Vorträge bekannt geben können.
