---
title: "Meetup"
date: 2021-02-04T10:04:53+01:00
draft: false
---
[![German](/ger.png#floatright)](/de/Treffen)

**Due to the current situation, all meetups (the Stammtisch and talks) take place virtually until further notice. Once this changes, an update will be posted here!**

-----

Our general meetup takes place each second Monday in a month at the restaurant {{<tabref href="http://www.sandelmuehle.de/restaurant/restaurant-frankfurt" title="Sandelmühle">}}, An der Sandelmühle 35, 60439 Frankfurt starting around 7 pm (spoken languages include German, English and sometimes Klingon and Romulan based on availability :-) ).

Every fourth Tuesday we meet in room # 4 at {{<tabref href="https://www.saalbau.com/raumangebot/detail/?SAALBAU-Gallus&objekt=52" title="Saalbau Gallus">}}, Frankenallee 111, 60326 Frankfurt am Main for our monthly talk on a specific Linux or Free and Open Source Software topic. Most of the talks are delivered in German, but hey, this is an ideal opportunity to brush up your German language skills and to learn about that FOSS topic you always wanted to know more about....

-----

### Directions

**Sandelmühle**   
An der Sandelmühle 35   
60439 Frankfurt   

Telefon: 069 / 57 57 42

{{<tabref href="http://www.sandelmuehle.de/restaurant/restaurant-frankfurt" title="Homepage">}} {{<tabref href="http://www.sandelmuehle.de/restaurant/speisenkarte"  title="Menu">}}

Map of Heddernheim at {{<tabref href="http://www.openstreetmap.org/?lat=50.16356&lon=8.64975&zoom=16&layers=B000FTF" title="OpenStreetMap">}} and {{<tabref href="http://maps.google.com/maps?f=q&source=s_q&hl=de&geocode=&q=Hotel+%26+Restaurant+Sandelm%C3%BChle&sll=37.0625,-95.677068&sspn=29.219963,45.263672&ie=UTF8&hq=Hotel&hnear=Frankfurt,+Frankfurt+am+Main,+Hesse,+Germany&ll=50.163498,8.649309&spn=0.01365,0.033023&t=h&z=16&iwloc=A&cid=1225964577310492751" title="Google Maps">}}

Ample parking is available in front of the building.

How to get there via public transport (in German) {{<tabref href="http://www.öpnvkarte.de/?zoom=16&lat=50.16389&lon=8.64868&layers=BT" title="www.öpnvkarte.de">}}

From direction Bad Homburg:

Tube » U2, stop: Sandelmühle

Following the tracks just stroll along the road named "An der Sandelmühle" torwards the river; you'll find the entrance to the car park of the restaurant after around 200 meters.

From the city:

Tube » U1, U2, U3 or U8, stop: Heddernheim

Exit the station near the river Nidda, staying on the left-hand side under the bridge facing backwards / towards the city (sounds more complicated than it actually is). Take a left and follow the road named "An der Sandelmühle" for about 150 meters; the car park of the restaurant is on your righthand side.

-----

**Saalbau Gallus**   
Frankenallee 111   
60326 Frankfurt am Main

{{<tabref href="https://www.saalbau.com/raumangebot/detail/?SAALBAU-Gallus&objekt=52" title="Saalbau-Homepage">}}

Map of Gallus quarter at {{<tabref href="http://www.openstreetmap.org/?lat=50.104458&lon=8.641691&zoom=17&layers=B000FTF" title="OpenStreetMap">}} and {{<tabref href="http://maps.google.com/maps?f=q&source=s_q&hl=de&geocode=&q=Saalbau+Gallus&ie=UTF8&hq=Saalbau+Gallus&hnear=&ll=50.104458,8.641691&spn=0.006661,0.016512&t=h&z=16&iwloc=A" title="Google Maps">}}

How to get there via public transport (in German) {{<tabref href="http://www.öpnvkarte.de/?zoom=16&lat=50.104458&lon=8.641691&layers=BT" title="www.öpnvkarte.de">}}

-----

## A few notes for the meetups

Everbody is more than welcome; these events are about sharing of information and meeting new like-minded people who are FOSS enthusiasts. Even absolute beginners are welcome; we all started where you are now at some stage.

Bring your laptop along if you would like to install Linux or have an issue with a specific piece of software or other trouble running Linux; it's more than likely that somebody will be able to help you (if you want to install Linux, please ensure that you have a suitable installation media with the distribution of choice with you or make your intentions known via our mailing list in advance).

As it's custom these days in Germany, all our meetups take place in non-smoking environments, please go outside if you want to smoke.

**We have guest wifi access in the Sandelmühle - just ask any of us for details.**

### Saalbau Gallus / monthly talks

The meetup takes place in room #4. The talks start around 7 pm; please to be on time so that other people can enjoy the presentation without interruptions from people arriving late. After the talk we normally gather in a small restaurant nearby: ~~"Zum Hufnagel", Hufnagelstraße 12a, 60326 Frankfurt a.M.~~ The restaurant "Zum Hufnagel" is now a Asian restaurant called "Asian Flavors". We have to check it out ...
