#include <stdio.h>
#include <stdlib.h>


typedef struct _stack_item {
  struct _stack_item *prev;
  void *data;
} StackItem;

typedef struct _stack {
  StackItem *top;
} Stack;


void push (Stack *stack, void *data)
{
  /*
  StackItem item;
  item.prev = stack->top;
  item.data = data;
  stack->top = &item;
  */

  StackItem *item = malloc (sizeof (StackItem));
  item->prev = stack->top;
  item->data = data;
  stack->top = item;
}

void* pop  (Stack *stack)
{
  void *data = NULL;
  StackItem *top = stack->top;
  
  if (stack->top)
    {
      data = stack->top->data;
      stack->top = stack->top->prev;
      free (top);
    }
  return data;
}

int main(int argc, char *argv[])
{
  Stack S = { NULL };
  char *string;

  push (&S, "first item");
  push (&S, "second item");
  push (&S, "third item");

    while ((string = pop (&S)) != NULL)
      printf ("%s\n", string);

  return 0;
}
