#include <stdio.h>
#include <sys/types.h>
#include <regex.h>
#include <stdlib.h>


int main(int argc, char *argv[])
{
  char *string = NULL;
  int dummy;

  regex_t regex;
  FILE *fp = stdin;

  if (argc < 2)
    exit (EXIT_FAILURE);

  regcomp (&regex, argv[1], REG_EXTENDED | REG_NOSUB);

  
  while (*argv++ !=NULL)
    {
      if ((argc != 2) && ((fp=fopen (*(argv), "r")) == NULL))
        continue;

       while (getline (&string, &dummy, fp) != -1)
        {
          if (!regexec (&regex, string, 0, NULL, 0))
            {
              if (argc > 3)
                printf ("%s: %s", *argv, string);
              else
                printf ("%s", string);
            }
          free (string); string = NULL;
        }

      fclose (fp);
    }
  
  regfree (&regex);
  return 0;
}
