#ifndef _JSON_TREE_DIRECT_STORAGE_H_
#define _JSON_TREE_DIRECT_STORAGE_H_

#include <glib.h>
#include <json-glib/json-glib.h>

#define ID_MARKER "id"
#define LEAF_MARKER "leaf"
#define CHILDREN_MARKER "children"

JsonNode *json_tree_get_root (JsonNode *node);
GList *json_tree_get_children (JsonNode *node);
JsonNode *json_tree_get_parent (JsonNode *node);


#endif /* _JSON_TREE_DIRECT_STORAGE_H_ */
