#ifndef __JSON_UTIL_H__
#define __JSON_UTIL_H__

#include <glib.h>
#include <json-glib/json-glib.h>
#include <bson.h>

bson *json2bson (JsonNode *node);
JsonNode *bson2json (bson *b);
gchar *json2string (JsonNode *node);
JsonNode *string2json (const gchar *data);
void json_print (JsonNode *node);

JsonNode *json_read (const gchar *filename);
gboolean json_write (JsonNode *node, const gchar *filename);
  

#endif
