#include <mongo.h>



/*   mongo_cursor_set_query (cursor, query); */

/*   while (mongo_cursor_next (cursor) == MONGO_OK) { */
/*     bson_print (&cursor->current); */
/*   } */

/*   bson_destroy (query); */
/* } */


int main (int argc, char *argv[]) {

  mongo conn[1];
  mongo_init (conn);

  if (mongo_connect (conn, "localhost", 27017) != MONGO_OK)
    ;


  bson query[1];
  bson_init (query);
  bson_append_start_object (query, "$query");
  bson_append_string (query, "key", "avoir");
  bson_append_finish_object (query);
  bson_finish (query);

  mongo_cursor cursor[1];
  mongo_cursor_init (cursor, conn, "lug.frz");
  mongo_cursor_set_query (cursor, query);

  while ((mongo_cursor_next (cursor)) == MONGO_OK)
    bson_print (&cursor->current);

  mongo_cursor_destroy (cursor);

  bson out[1];
  mongo_simple_int_command (conn, "admin", "listDatabases", 1, out);
  bson_print (out);

  
  mongo_destroy (conn);
  return 0;
}
