/*
 * ShsBox
 */

#ifndef __SHS_BOX_H__
#define __SHS_BOX_H__

#include <glib-object.h>


#define SHS_TYPE_BOX (shs_box_get_type ())
#define SHS_BOX(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), SHS_TYPE_BOX, ShsBox))
#define SHS_IS_BOX(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SHS_TYPE_BOX))
#define SHS_BOX_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), SHS_TYPE_BOX, ShsBoxClass))
#define SHS_IS_BOX_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass), SHS_TYPE_BOX))
#define SHS_BOX_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), SHS_TYPE_BOX, ShsBoxClass))


typedef struct _ShsBox       ShsBox;
typedef struct _ShsBoxClass  ShsBoxClass;

typedef struct _ShsBoxPrivate ShsBoxPrivate;


struct _ShsBox {
  GObject parent_instance;
  
  
  /*< private >*/
  ShsBoxPrivate *priv;
  
};

struct _ShsBoxClass {
  GObjectClass parent_class;
  
  /* stuff */
  void (*do_action) (ShsBox *self);
};

void shs_box_do_action (ShsBox *self);


GType shs_box_get_type (void);


gchar* shs_box_get_collection (ShsBox *self);
void shs_box_set_collection (ShsBox *self, const gchar* value);

#endif /* __SHS_BOX_H__ */
