#include <stdio.h>
#include <stdlib.h>

typedef struct _queue_item{
  struct _queue_item *prev;
  void *data;
} QueueItem;

typedef struct {
  QueueItem *left;
  QueueItem *right;
} Queue;


void enqueue (Queue *queue, void* data)
{
  QueueItem *item = malloc (sizeof (QueueItem));

  item->data = data;
  item->prev = NULL;
  
  if (queue->right)
    queue->right->prev = item;
  else
    queue->left = item;

  queue->right = item;
}

void* dequeue (Queue *queue)
{
  void *data = NULL;

  if (queue->left)
    {
      data = queue->left->data;
      queue->left = queue->left->prev;
      if (!queue->left)
        queue->right = NULL;
    }
  return data;
}


int main(int argc, char *argv[])
{
  Queue Q = { NULL, NULL };
  char *string;

  while (1)
    {
      enqueue (&Q, "first item");
      string = dequeue (&Q);
    }

  return 0;
}
