public abstract class Animal : Object {
	protected string name = "unknown";

	public Animal () {
		stdout.printf ("new animal\n");
	}

	~Animal () {
		stdout.printf ("animal destroyed\n");
	}
	
	public abstract void hello ();
}

public class Dog : Animal {

	public Dog.with_name (string name) {
		this.name = name;
	}
	
	public override void hello () {
		stdout.printf ("%s: woof!\n",  name);
	}
}


int main (string[] args) {

	Animal[] zoo = {
		new Dog (),
		new Dog.with_name("Karlo")
	};
	zoo += new Dog ();
	zoo += new Dog.with_name ("Hasso");
	
	foreach (Animal a in zoo) {
		a.hello ();
	}

	return 0;
}