#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)

	stdscr.addstr(1,5,"Use Up/Down keys to switch between selected element. ('q' to quit)", curses.A_BOLD)
	
	stdscr.addstr(5,5,"Selection item one")	
	stdscr.addstr(8,5,"Selection item two")	
	stdscr.addstr(11,5,"Selection item three")	
	
	stdscr.chgat(5,5,18,curses.A_REVERSE)
	selection = 1
	
	while True:
		c = stdscr.getch()
		if c == ord('q'): break
		if c == curses.KEY_UP:
			selection = selection - 1 if selection > 1 else 1
		if c == curses.KEY_DOWN:
			selection = selection + 1 if selection < 3 else 3
		
		stdscr.chgat(5,5,18,curses.A_NORMAL)
		stdscr.chgat(8,5,18,curses.A_NORMAL)
		stdscr.chgat(11,5,20,curses.A_NORMAL)
		if selection == 1:
			stdscr.chgat(5,5,18,curses.A_REVERSE)
		if selection == 2:
			stdscr.chgat(8,5,18,curses.A_REVERSE)
		if selection == 3:
			stdscr.chgat(11,5,20,curses.A_REVERSE)

		stdscr.refresh()
		
	return	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
