#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(True)
	
	win_input_main = curses.newwin(3,32,5,5)
	win_input_main.border()
	win_input_main.addstr(0,3," Input (Enter q to quit) ")
	win_input_main.noutrefresh()
	
	win_output_main = curses.newwin(3,32,10,5)
	win_output_main.border()
	win_output_main.addstr(0,3," Output ")
	win_output_main.noutrefresh()
	 
	win_input = win_input_main.derwin(1,30,1,1)
	win_output = win_output_main.derwin(1,30,1,1)

	curses.doupdate()	
	curses.echo()
	
	while True:
		st = win_input.getstr(24)
		if st == "q": break
		win_output.clear()
		win_output.addnstr(st,24)
		win_input.erase()

		win_output.noutrefresh()
		win_input.noutrefresh()
		curses.doupdate()
	
if __name__ == "__main__":
	curses.wrapper(main)
	
