#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)

	scanstate = 0
	scanlength = 3
	
	stdscr.addstr(5,5,"Please press any key .")	
	y,x = stdscr.getyx()
	
	stdscr.timeout(500)
	while True:
		stdscr.addstr(y,x,'.' * scanstate + ' ' * (scanlength - scanstate))
		scanstate = scanstate+1 if scanstate < scanlength else 0
		stdscr.refresh()
		c = stdscr.getch()
		if c != curses.ERR:
			break	

	return	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
