---
title: "LUG Frankfurt"
date: 2021-04-04T10:04:53+01:00
draft: false
---
[![English](/eng.png#floatright)](/en/Home)

## Aktuelles

-----

:warning: Aufgrund der aktuellen Lage bzgl. behördlicher Anordnungen im Hinblick auf soziale Kontakte sind wir leider gezwungen, die Treffen (Vorträge und Stammtisch) bis auf Weiteres virtuell stattfinden zu lassen. Die Details findet ihr wie immer auf der Mailingliste.

Sobald sich die Lage ändert, wird hier eine Aktualisierung veröffentlicht.

-----

Achtung: Da sich bei Vortragsdienstagen immer mal wieder kurzfristig Änderungen ergeben können, bitte unbedingt vorher einen Blick auf die Vortragsseite werfen, ob sich vielleicht was geändert hat (Montagstreffen normalerweise in der Sandelmühle, Dienstagstreffen im Saalbau Gallus. Abweichungen und Änderungen werden hier bekanntgegeben.)

{{< dat de >}}

-----

## Wer sind wir

Unsere Gruppe existiert seit 1998. Zum "harten Kern" der Gruppe gehören etwa 15 Nutzer, die im Rhein-Main-Gebiet leben oder/und arbeiten. Die Zahl der Teilnehmer auf unserer Mailingliste ist jedoch deutlich größer. Wie bei anderen Linux User Groups (LUGs) auch steht bei uns dieses quelloffene und freie Betriebssystem im Vordergrund. Die LUG Frankfurt beschränkt sich hierbei jedoch nicht nur auf das Betriebssystem selbst, sondern sieht sich als lokale Interessenvertretung und Anlaufstelle für generelle Free and Open Source Software (FOSS) Themen.

Bei uns sind alle vertreten, von professionellen Linux-Systemadministratoren und Entwickler, über langjährige Enthusiasten bis hin zu absoluten Einsteigern. Bei uns sind alle Linux-Distributionen vertreten und gerne gesehen. Einen Überblick gibt es in unsere [Distriliste](/de/Distriliste). Obwohl wir ein Verein sind, ist eine Mitgliedschaft nicht notwendig, um an unseren Veranstaltungen teilzunehmen. Bei uns steht die Wissensweitergabe und Teilen von Erfahrungen im Vordergrund und keine starren Vereinsregeln. Aber auch andere unixoide Distributionen wie Solaris und MacOS sind gerne gesehen.

## Treffen

Wir treffen uns regelmässig zweimal im Monat.

**Jeden zweiten Montag im Monat** findet unser [Stammtisch](/de/Treffen) statt. Wir treffen uns ab 19:00 Uhr in der [Sandelmühle](http://www.sandelmuehle.de/restaurant/restaurant-frankfurt/), An der Sandelmühle 35, 60439 Frankfurt. Zum Stammtisch können gerne Laptops mitgebracht werden. WLAN und Strom sind vorhanden. Wir versuchen bei allen Linux-Problemen zu helfen.

**Jeden vierten Dienstag im Monat** treffen wir uns im Seminarraum 4 des [Saalbau Gallus](https://www.saalbau.com/raumangebot/detail/?SAALBAU-Gallus&objekt=52), Frankenallee 111, 60326 Frankfurt, wo dann [Vorträge](/de/Vortraege) stattfinden. Auch diese Treffen finden ab 19:00 Uhr statt. Anschließend sind wir meistens im Hufnagel zu finden (Hufnagelstraße 12a, 60326 Frankfurt a.M.), einer Gastwirtschaft um die Ecke vom Haus Gallus.

## Mailingliste

Zwischen den Treffen diskutieren wir in unserer [Mailingliste](/de/Mailingliste), an der jede/r Interessierte/r teilnehmen kann.

## Vorträge

Im Mittelpunkt der Dienstagstreffen steht im Allgemeinen ein Vortrag. Das Podium steht hierbei jedem offen, der über ein Linux/FOSS-Thema referieren möchte. Obwohl hier aufgrund der Arbeit der Gruppe FOSS-Themen im Vordergrund stehen, sind die Vorträge nicht ausschließlich auf Linux/FOSSbezogene Themen beschränkt, wie unsere erfolgreiche Vortragsreihe "föllig vachfremd" &copy; zeigt. Themenvorschläge sammeln wir auf der Seite [Vortragsvorschläge](/de/Vorschlaege). Der Start des Vortrags ist dann meist gegen 19 Uhr.

Die Themenplanung für die folgenden Dienstagstermine ist unter [Vorträge](/de/Vortraege) zu finden.

## Der Linux Presentation Day

![LPD](/LPD.png)

Seit 2015 ist die LUG Frankfurt beim internationalen [Linux Presentation Day](/de/LPD) mit dabei; seit 2016 in Medienkooperation mit dem Westdeutschen Rundfunk im Rahmen des Maustüröffnertages.

Am Linux Presentation Day stellen LUGs in vielen Städten im deutschsprachigen Raum Linux vor, damit Leute, die Linux noch nicht oder nur wenig kennen, erste Erfahrungen mit diesem Betriebssystem und dem dazugehörigen FOSS-Ökosystem sammeln können.

Der Maustüröffnertag ist eine Gelegenheit, hinter Türen von Behörden, Firmen und Vereinen zu werfen, die sonst verschlossen bleiben. Ausserdem bietet er eine prima Gelegenheit, Kindern ab dem Schulalter Linux und FOSS allgemein näher zu bringen.

Die Folien unserer Vorträge des ersten Frankfurter LPDs sowie einen Link zu dem Videomitschnitt der Veranstaltung findet ihr [hier](/de/LPD).

## Programmierworkshop

Derzeit steht kein Thema für einen [Programmierworkshop](/de/Workshops) fest. Neue Ideen und Schwerpunkte sind übrigens jederzeit willkommen.

## Flyer

Der Entwurf für den neuen Flyer findet ihr [hier](/2017_Flyer.pdf) und das ODT [hier](/2017_Flyer.odt). Eure Meinung interessiert uns!

-----

## Auskunft gemäß Datenschutzgrundverordnung (DSGVO)

### Erbringung unserer satzungs- und geschäftsgemäßen Leistungen

Wir verarbeiten die Daten unserer Mitglieder, Unterstützer, Interessenten, Kunden oder sonstiger Personen entsprechend Art. 6 Abs. 1 lit. b. DSGVO, sofern wir ihnen gegenüber vertragliche Leistungen anbieten oder im Rahmen bestehender geschäftlicher Beziehung, z.B. gegenüber Mitgliedern, tätig werden oder selbst Empfänger von Leistungen und Zuwendungen sind. Im Übrigen verarbeiten wir die Daten betroffener Personen gem. Art. 6 Abs. 1 lit. f. DSGVO auf Grundlage unserer berechtigten Interessen, z.B. wenn es sich um administrative Aufgaben oder Öffentlichkeitsarbeit handelt.

Die hierbei verarbeiteten Daten, die Art, der Umfang und der Zweck und die Erforderlichkeit ihrer Verarbeitung bestimmen sich nach dem zugrundeliegenden Vertragsverhältnis. Dazu gehören grundsätzlich Bestands- und Stammdaten der Personen (z.B., Name, Adresse, etc.), als auch die Kontaktdaten (z.B., E-Mailadresse, Telefon, etc.).

Wir löschen Daten, die zur Erbringung unserer satzungs- und geschäftsmäßigen Zwecke nicht mehr erforderlich sind. Dies bestimmt sich entsprechend der jeweiligen Aufgaben und vertraglichen Beziehungen. Im Fall geschäftlicher Verarbeitung bewahren wir die Daten so lange auf, wie sie zur Geschäftsabwicklung, als auch im Hinblick auf etwaige Gewährleistungs- oder Haftungspflichten relevant sein können. Die Erforderlichkeit der Aufbewahrung der Daten wird alle drei Jahre überprüft; im Übrigen gelten die gesetzlichen Aufbewahrungspflichten.

### Hosting und E-Mail-Versand

Die von uns in Anspruch genommenen Hosting-Leistungen dienen der Zurverfügungstellung der folgenden Leistungen: Infrastruktur- und Plattformdienstleistungen, Rechenkapazität, Speicherplatz und Datenbankdienste, E-Mail-Versand, Sicherheitsleistungen sowie technische Wartungsleistungen, die wir zum Zwecke des Betriebs dieses Onlineangebotes einsetzen.

Hierbei verarbeiten wir, bzw. unser Hostinganbieter Bestandsdaten, Kontaktdaten, Inhaltsdaten, Vertragsdaten, Nutzungsdaten, Meta- und Kommunikationsdaten von Kunden, Interessenten und Besuchern dieses Onlineangebotes auf Grundlage unserer berechtigten Interessen an einer effizienten und sicheren Zurverfügungstellung dieses Onlineangebotes gem. Art. 6 Abs. 1 lit. f DSGVO i.V.m. Art. 28 DSGVO (Abschluss Auftragsverarbeitungsvertrag).

### Registrierfunktion

Nutzer können ein Nutzerkonto anlegen. Im Rahmen der Registrierung werden die erforderlichen Pflichtangaben den Nutzern mitgeteilt und auf Grundlage des Art. 6 Abs. 1 lit. b DSGVO zu Zwecken der Bereitstellung des Nutzerkontos verarbeitet. Zu den verarbeiteten Daten gehören insbesondere die Login-Informationen (Name, Passwort sowie eine E-Mailadresse). Die im Rahmen der Registrierung eingegebenen Daten werden für die Zwecke der Nutzung des Nutzerkontos und dessen Zwecks verwendet.

Die Nutzer können über Informationen, die für deren Nutzerkonto relevant sind, wie z.B. technische Änderungen, per E-Mail informiert werden. Wenn Nutzer ihr Nutzerkonto gekündigt haben, werden deren Daten im Hinblick auf das Nutzerkonto, vorbehaltlich einer gesetzlichen Aufbewahrungspflicht, gelöscht. Es obliegt den Nutzern, ihre Daten bei erfolgter Kündigung vor dem Vertragsende zu sichern. Wir sind berechtigt, sämtliche während der Vertragsdauer gespeicherten Daten des Nutzers unwiederbringlich zu löschen.

Im Rahmen der Inanspruchnahme unserer Registrierungs- und Anmeldefunktionen sowie der Nutzung des Nutzerkontos, speichern wird die IP-Adresse und den Zeitpunkt der jeweiligen Nutzerhandlung. Die Speicherung erfolgt auf Grundlage unserer berechtigten Interessen, als auch der Nutzer an Schutz vor Missbrauch und sonstiger unbefugter Nutzung. Eine Weitergabe dieser Daten an Dritte erfolgt grundsätzlich nicht, außer sie ist zur Verfolgung unserer Ansprüche erforderlich oder es besteht hierzu besteht eine gesetzliche Verpflichtung gem. Art. 6 Abs. 1 lit. c DSGVO.
