#include <stdio.h>

void cat (FILE *fp) {
    int c = fgetc (fp);
    while (c != EOF) {
        putchar (c);
        c = fgetc (fp);
    }
}

int main (int argc, char *argv[]) {
    if (argc == 1)
        cat (stdin);
    else {
        int i;
        for (i=1; i<argc; ++i) {
            FILE *fp = fopen (argv[i], "rb");
            if (fp != NULL) {
                cat (fp);
            }
        }
    }
    return 0;
}
