#include "common.h"


void client_loop (int client) {
    char buffer[80];
    int n;

    do {
        n = read (STDIN_FILENO, buffer, sizeof (buffer));
        write (client, buffer, n);
    } while (n > 0);
}

int main (int argc, char *argv[]) {

    int client = socket (AF_INET, SOCK_STREAM, 0);
    assert (client != -1);

    struct sockaddr_in address;
    address.sin_family = AF_INET;
    address.sin_port = htons (PORT);
    inet_aton ("127.0.0.1", &address.sin_addr);

    int error = connect (client, (struct sockaddr*) &address, sizeof (address));
    assert (error != -1);

    client_loop (client);
    close (client);

    return 0;
}
