#include "common.h"


void server_loop (int client) {
    char buffer[80];
    int n;

    do {
        n = read (client, buffer, sizeof (buffer));
        write (STDOUT_FILENO, buffer, n);
    } while (n > 0);
}

int main (int argc, char *argv[]) {
    int error;

    int server = socket (AF_INET, SOCK_STREAM, 0);
    assert (server != -1);

    struct sockaddr_in address;
    address.sin_family = AF_INET;
    address.sin_port = htons (PORT);
    inet_aton ("127.0.0.1", &address.sin_addr);

    error = bind (server, (struct sockaddr*) &address, sizeof (address));
    assert (!error);

    error = listen (server, 1);
    assert (!error);

    while (1) {
        int client;
        client = accept (server, NULL, NULL);

        if (client != -1)
            server_loop (client);
    }

    return 0;
}
