#include <gtk/gtk.h>


void test (void);
void test2 (void);

void test () {
  /* GdkPixbuf *pixbuf; */
  
  /* GdkPixbuf *p = gdk_pixbuf_new (...); */
  
}

void test2 () {
  PangoContext *context;
  PangoLayout *layout;

  context = NULL;
  layout = pango_layout_new (context);

  pango_layout_set_text (layout, "abs", -1);


  /* pango_layout_get_text (layout) */
  /* ..._set_attributes (layout, PangoAttrList*)
     ..._set_wrap (layout, PangoWrap
     ..._set_single_paragraph_mode (layout, gboolean)

     ..._index_to_pot (layout, int index, PangoRectangle*)
     ..._xy_to_index (layout, x, y, *index, *trailing)
     ..._get_cursor_pos

     ..._get_extents (layout, PangoRectangle *ink,
                              PangoRectangle *logical)
     ..._get_pixel_extents (...)
     ..._get_pixel_size (...)
  */     
}


int main (int argc, char *argv[]) {
  GtkWidget *window;

  GtkWidget *text_view;
  GtkTextBuffer *buffer;
  GtkTextTagTable *tag_table;

  PangoTabArray *tabs;

  GtkTextIter start, end;

  gtk_init (&argc, &argv);

  window = g_object_new (GTK_TYPE_WINDOW,
                         "default-width", 400,
                         "default-height", 300,
                         NULL);
  g_signal_connect (window, "destroy", gtk_main_quit, NULL);

  text_view = g_object_new (GTK_TYPE_TEXT_VIEW, NULL);
  gtk_container_add (GTK_CONTAINER (window), text_view);  

  /* tab stops */



  tabs = pango_tab_array_new_with_positions (1, TRUE, PANGO_TAB_LEFT, 100);
  g_object_set (text_view, "tabs", tabs, NULL);
  
  g_object_get (text_view, "buffer", &buffer, NULL);
  g_object_get (buffer, "tag-table", &tag_table, NULL);

  g_print ("%d", gtk_text_tag_table_get_size (tag_table));

  gtk_text_buffer_create_tag
    (buffer, "default", 
     /* "weight", PANGO_WEIGHT_BOLD, */
     "pixels-above-lines", 50,
     "pixels-below-lines", 40,

     "left-margin", 20,
     "wrap-mode", GTK_WRAP_NONE,
     "background-full-height", FALSE,
     
     "family", "Monospace",
     "background", "#eeeeee",
     "paragraph-background", "#ff7777",
     "size-points", 14.,
     
     NULL);



  gtk_text_buffer_set_text (buffer, "hello world", -1);
  gtk_text_buffer_get_bounds (buffer, &start, &end);
  gtk_text_buffer_apply_tag_by_name (buffer, "default", &start, &end);

  gtk_widget_show_all (window);  
  gtk_main ();

  return 0;
}
