#include <glib-object.h>

#include <fahrzeug.h>

int main (int argc, char *argv[]) {
  g_type_init ();

  Fahrzeug *f;

  f = g_object_new (TYPE_FAHRZEUG, NULL);

  g_printf ("%s\n", g_type_name (G_TYPE_FROM_INSTANCE (f)));

  g_object_set (G_OBJECT (f), "speed", 23, NULL);
  gint speed;
  g_object_get (G_OBJECT (f), "speed", &speed, NULL);
  g_printf ("speed = %d\n", speed);


  GParamSpec **pspecs;
  guint n_specs;
  pspecs = g_object_class_list_properties (G_OBJECT_CLASS (FAHRZEUG_GET_CLASS (f)),  &n_specs);

  while (n_specs--) {
    g_printf ("%s\n", g_param_spec_get_name (pspecs[n_specs]));
    g_printf ("%s\n", g_param_spec_get_nick (pspecs[n_specs]));
    g_printf ("%s\n", g_param_spec_get_blurb (pspecs[n_specs]));
  }

  return 0;
}
