public class Main : Object {

	private int _percent = 0;
	
	public int percent {
		get { return _percent; }
		set { if (value >= 0 && value <= 100)
				_percent = value;
		}
	}

	public int any_number { get; set; default=0; }

	[Description(nick = "counter",
				 blurb = "well, a counter, what else?")]
	public int counter { get; private set; default=0; }

	public void inc () {
		++counter;
	}
}

int main (string[] args) {
	Main m = new Main ();

	m.any_number = 12;
	
	stdout.printf ("%d\n", m.counter);
	m.inc ();
	stdout.printf ("%d\n", m.counter);

	m.percent = 50;
	stdout.printf ("%d\n", m.percent);
	m.percent = 120;
	stdout.printf ("%d\n", m.percent);

	return 0;
}