public class Main : Object {
	public signal void hello (string message);
}

void my_handler (string s) {
	stdout.printf ("my_handler: %s\n", s);
}

int main (string[] args) {
	var m = new Main ();

	m.hello += my_handler;
	m.hello.connect ((s) =>
		{stdout.printf ("lambda_handler: %s\n", s);});

	m.hello ("message_1");
	m.hello -= my_handler;
	
	m.hello ("message_2");

	return 0;
}