#include <gtk/gtk.h>
#include <unistd.h>

void button_clicked (GtkWidget *widget, gpointer data)
{
  sleep (10);
}

int main (int argc, char *argv[])
{
  GtkWidget *window;
  
  gtk_init (&argc, &argv);

  window = g_object_new (GTK_TYPE_WINDOW,
                         "title", "lazy sleeper",
                         "default-width", 400,
                         "default-height", 100,
                         "border-width", 18,
                         NULL);

  g_signal_connect (window, "destroy", G_CALLBACK (gtk_main_quit), NULL);

  GtkWidget *vbox = g_object_new (GTK_TYPE_VBOX, NULL);
  gtk_container_add (GTK_CONTAINER (window), vbox);
  GtkWidget *entry = g_object_new (GTK_TYPE_ENTRY, NULL);
  gtk_container_add (GTK_CONTAINER (vbox), entry);
  GtkWidget *button = g_object_new (GTK_TYPE_BUTTON, "label", "sleep", NULL);
  gtk_container_add (GTK_CONTAINER (vbox), button);
  gtk_container_child_set (GTK_CONTAINER (vbox), button, "expand", FALSE, NULL);

  g_signal_connect (button, "clicked", G_CALLBACK (button_clicked), NULL);
  
  gtk_widget_show_all (window);
  gtk_main ();
  return 0;
}
